%define upstream_name    File-BOM
%define upstream_version 0.15

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Utilities for handling Byte Order Marks
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Encode)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Readonly)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch

%description
This module provides functions for handling unicode byte order marks, which
are to be found at the beginning of some files and streams.

For details about what a byte order mark is, see the
http://www.unicode.org/unicode/faq/utf_bom.html#BOM manpage

The intention of File::BOM is for files with BOMs to be readable as
seamlessly as possible, regardless of the encoding used. To that end,
several different interfaces are available, as shown in the synopsis above.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml README TODO
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.150.0-2.mga6
+ Revision: 1027281
- Rebuild for perl 5.22.2

* Tue Feb 23 2016 shlomif <shlomif> 0.150.0-1.mga6
+ Revision: 977382
- imported package perl-File-BOM


* Tue Feb 23 2016 cpan2dist 0.15-1mga
- initial mageia release, generated with cpan2dist
